<?php
/***************************************************************************
 *   Copyright (C) 2005-2020 by Ferenc Veres							   *
 *   lion@netngine.hu													   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 ***************************************************************************/
include_once("lib/TranslationProject.php");

/**
 * Imports a Xarigami translation from locale files into the database.
 *
 * Works exactly like TranslationImportXaraya, please read more there.
 */

class TranslationImportXarigami extends TranslationImportXaraya
{
	/**
	* Class to import Xaraya locale files.
	*/
	
	function __construct()
	{
		$this->ProjectName = "Xarigami";
		$this->XmlNameSpace = "http://xarigami.com/2011/ns/translations";
	}
}
