#!/usr/local/php512/bin/php
<?php
/***************************************************************************
 *   Copyright (C) 2005-2020 by Ferenc Veres							   *
 *   lion@netngine.hu													   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 ***************************************************************************/
if(empty($argc))
{
	exit;
}
include_once('config.inc.php');
include_once('lib/Common.php');

$DB = NewADOConnection($CONFIG['db_software']);
$DB->Connect($CONFIG['db_host'], $CONFIG['db_username'] , $CONFIG['db_password'], $CONFIG['db_database']);
CacheIndexes();

// EXAMPLE: To find a sentence

/*
	$findText = "Delete all";
	$filterPercent = 80;
	
	echo("SEEK: $findText\n");
	
	// Upload this sentence to our String class
	$myString = new TranslationString();
	$translations = $myString->FindSimilar($findText, $filterPercent);

	if(!empty($translations))
	{
		foreach($translations as $id => $tr)
		{
			echo($tr["percent"]."%\n");
		
			foreach($tr["strings"] as $key => $str)
			{
				echo("   >>> '".$str->GetOriginal()."' === '".$str->GetTranslation()."'\n");
			}
	}	}
	else
	{
		echo("nothing similar, sorry.\n");
	}

/**/

// EXAMPLE: Using wordlist iterator

//include_once('TranslationWordList.php');

//$wl = new TranslationWordList("hello kutya macska meg minden");

//foreach($wl as $word)
//{
//	echo $word->GetID().":".$word->GetWord()." (".$word->GetCount()." db)\n";
//}

// EXAMPLE: Using project iterator

/*
$parentProject = new TranslationProject();
if(!$parentProject->Load(0, "Xaraya", TranslationProject::$LocaleIDCache["hu_HU.utf-8"]))
{
	throw new Exception("Error loading root project: Xaraya, hu_HU.utf-8.");
}

$allProjects = new RecursiveIteratorIterator(new ProjectIterator($parentProject->GetID(), $parentProject->GetLocaleID()), RecursiveIteratorIterator::SELF_FIRST);

$iter = new ProjectIterator($parentProject->GetID(), $parentProject->GetLocaleID());

foreach($allProjects as $project)
{
	echo $project->GetID()." ".$project->GetName()."\n";
}
/**/

$it = new StringIterator(2452);
foreach($it as $string)
{
	echo $string->GetOriginal()."\n";
}
?>
