<?php
/***************************************************************************
 *   Copyright (C) 2005-2020 by Ferenc Veres                               *
 *   lion@netngine.hu                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>. *
 ***************************************************************************/

/**
* Database server type (a valid ADODB NewADOConnection() value).
*/

$CONFIG['db_software'] = 'mysqli';

/**
* Database server host name
*/

$CONFIG['db_host'] = 'localhost';

/**
* Database name
*/

$CONFIG['db_database'] = 'xartm_hu';

/**
* Database server username
*/

$CONFIG['db_username'] = 'xartm_xaraya_hu';

/**
* Database server password
*/

$CONFIG['db_password'] = 'zeno3362t';

/**
* Default locale to start the GUI with. Example: hu_HU.utf-8
*/

$CONFIG['default_locale'] = 'hu_HU.utf-8';

/**
* Path to the locale files for the import routines.
* Where your hu_HU.utf-8 or similar directory resides, without this part.
* Comment this out after finishing import, so you won't overwrite
* your work in the database by mistake!
*/

//$CONFIG['import_path'] = "/home/lion/xaraya/locales/hu_old/2006-03-22/";
$CONFIG['import_path'] = "/var/www/xarigami/html/var/locales/";

/**
* Path to the export locale files for the import routines.
* Where your hu_HU.utf-8 or similar directory resides, without this part.
*/

$CONFIG['export_path'] = "/var/www/xarigami/html/var/locales/";

/**
* Enable or disable the export feature on the web GUI
*/

$CONFIG['enable_web_export'] = true;

/**
* The directory to place the tar.gz language pack in.
*/

$CONFIG['language_pack_dir'] = "/var/www/xarigami/html/var/locales/";

/**
* Same as 'language_pack_dir', but as accessed from the web.
*/

$CONFIG['language_pack_url'] = "http://xarigami.wd/var/locales";

$CONFIG['disk_cache'] = "./cache";
//$CONFIG['disk_cache'] = "";

?>
